Bug 1121776 - [abrt] fedmsg-notify: __init__.py:115:__init__:TypeError: 'str' object is not callable
Summary: [abrt] fedmsg-notify: __init__.py:115:__init__:TypeError: 'str' object is not...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedmsg-notify
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8d1c036145920f038640058cc85...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 20:54 UTC by Joseph Yaworski
Modified: 2014-08-24 13:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 13:57:04 UTC


Attachments (Terms of Use)
File: backtrace (943 bytes, text/plain)
2014-07-21 20:54 UTC, Joseph Yaworski
no flags Details
File: environ (2.03 KB, text/plain)
2014-07-21 20:54 UTC, Joseph Yaworski
no flags Details

Description Joseph Yaworski 2014-07-21 20:54:51 UTC
Version-Release number of selected component:
fedmsg-notify-0.5.4-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/fedmsg-notify-daemon
dso_list:       fedmsg-0.9.0-1.fc20.noarch
executable:     /usr/bin/fedmsg-notify-daemon
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:115:__init__:TypeError: 'str' object is not callable

Traceback (most recent call last):
  File "/usr/bin/fedmsg-notify-daemon", line 9, in <module>
    load_entry_point('fedmsg-notify==0.5.4', 'console_scripts', 'fedmsg-notify-daemon')()
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 349, in main
    service = FedmsgNotifyService()
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 130, in __init__
    fedmsg.consumers.FedmsgConsumer.__init__(self, moksha.hub._hub)
  File "/usr/lib/python2.7/site-packages/fedmsg/consumers/__init__.py", line 115, in __init__
    current_proc().name(),
TypeError: 'str' object is not callable

Local variables in innermost frame:
self: <fedmsg_notify.daemon.FedmsgNotifyService at /org/fedoraproject/fedmsg/notify at 0x2e75ed0>
hub: <moksha.hub.hub.CentralMokshaHub object at 0x33401d0>
name: 'FedmsgNotifyService'
module: 'fedmsg_notify.daemon'

Comment 1 Joseph Yaworski 2014-07-21 20:54:53 UTC
Created attachment 919758 [details]
File: backtrace

Comment 2 Joseph Yaworski 2014-07-21 20:54:55 UTC
Created attachment 919759 [details]
File: environ

Comment 3 Ralph Bean 2014-07-22 00:08:52 UTC
This is fixed upstream in this pull request:  https://github.com/fedora-infra/fedmsg/pull/267

It should be fixed with the fedmsg-0.9.1-1 release.  Can you confirm?

Comment 4 Ryan Brown 2014-08-13 14:36:14 UTC
Verified fixed in fedmsg-0.9.3-1.fc20.noarch from updates-testing

Comment 5 Ralph Bean 2014-08-15 13:57:04 UTC
Thanks Ryan.


Note You need to log in before you can comment on or make changes to this bug.